Package uk.ac.starlink.tfcat

# Interface WordChecker

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface WordChecker
Interface for simple syntax checking.

Since:
  10 Feb 2022
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`checkWord(String word)`
Reports warnings or errors associated with a supplied string.

## Method Details

### checkWord

String checkWord(String word)
Reports warnings or errors associated with a supplied string. If the string is correct, or if it is empty or null, null is returned, otherwise some human-readable indication of what's wrong is returned.

In general the warning does not need to quote the whole input string, though it can highlight particular parts of it if that's expected to be useful.

Parameters:
  `word` - input text
Returns:
  error message, or null for no error